{% extends TEMPLATE_BASENONAV %}
{% load i18n %}
{% load staticfiles %}
{% block title %}{% trans "Confirm Vote" %}{% endblock %}

{% block content %}
<script language="javascript">
$(document).ready(function() {
  $('#waiting_div').hide();
});

function show_waiting() {
  $('#all_forms').hide();
  $('#waiting_div').show();
}

// FIXME: set this to false once it's clear how to set it back to true
// so that it's not easy to forget to cast a ballot
var ready_to_unload = true;

window.onbeforeunload = function(evt) {
  if (ready_to_unload)
    return;

  if (typeof evt == 'undefined') {
    evt = window.event;
  }
  
  //var message = "You have not yet cast your ballot! Make sure to complete the voting process if you want your vote to count.";
  var message = "Você ainda NÃO DEPOSITOU sua cédula na urna! Se você quiser que seu voto seja considerado, então complete todo o processo";

  if (evt) {
    evt.returnValue = message;
  }
  
  return message;
};

</script>
<div id="ballot-not-cast-yet" class="container-fluid">

<div>
    <p style="margin-top: 20px">{% trans "Submitting your vote for " %}<strong>{{election.name}}</strong> ...</p>
</div>

<div id="waiting_div">
   {% trans "Verifying and Casting your ballot" %}<br />
    <img src="{% static "loading.gif" %}" />
</div>

<div id="all_forms">

{% if voter %}

{% include "_castconfirm_docast.html" %}

{% else %}

{% if show_password %}
{% if user %}
<h3>{% trans "Wait!" %}</h3>
<p>
    {% trans "You are logged in as " %}  <u> {{user.pretty_name|safe}} </u>, {% trans "but this election requires election-specific credentials." %}
</p>
{% endif %}
{% with cast_ballot="1" %}
{% include "_castconfirm_password.html" %}
{% endwith %}

{% else %}

{% if user %}
<div class="alert alert-danger" role="alert">
    {% blocktrans %}
        <h1>Sorry!</h1>
        <em>Sorry, you are 
    {% endblocktrans %}
    {% if election.openreg %}
        {% blocktrans %}
        <u>not eligible</u></em> for this election.
        {% endblocktrans %}
    {% else %}
        {% blocktrans %}
        not registered</em> for this election, and registration is closed.
        {% endblocktrans %}
    {% endif %}
      </b><br /></p>
</div>

<p>
    <a class="btn-primary btn-lg pull-right" href="{% url "election@view" election.uuid %}">{% trans "return to the main election page" %}</a>
</p>
{% else %}
<p>
    <h1 class="text-danger">{% trans "Wait! You need to log in." %}</h1>
{% if election.openreg %}

{% if election.eligibility %}
{% else %}
{% blocktrans %}
 This election is open to <em>anyone</em>, so log in with your preferred account.
 {% endblocktrans %}
{% endif %}

{% else %}
{% blocktrans %}
This election is only open to <em>registered voters</em>, so log in with
the same account you registered with.
{% endblocktrans %}
{% endif %}
</p>

{{login_box|safe}}

<br />
{% blocktrans %}
Don't worry, we'll remember your ballot while you log in.
{% endblocktrans %}
{% endif %}

{% endif %}

<br />
{# Don't show this when presenting login form #}
{% if voter %}
{%trans "Your smart ballot tracker is:" %} <br /><br />
    <span><em>{{vote_fingerprint}}</em></span>
</p>
{% endif %}
{# this closes the IF ELSE of this being password_only #}
{% endif %}
</div>
</div> <!-- ballot-not-cast-yet -->
<br>
{% endblock %}
